When Octave 4.4.0 available with a Linux

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

When Octave 4.4.0 available with a Linux

Leloup
Bonjour,
         
          I use Octave 4.0.0 for my Linux. The Octave 4.4.0 is available for
Windows and the question I have when Octave 4.4.0 is available with a Linux?    

Regards,

Leloup



--
Sent from: http://octave.1599824.n4.nabble.com/Octave-General-f1599825.html


Reply | Threaded
Open this post in threaded view
|

Re: When Octave 4.4.0 available with a Linux

Pantxo
Leloup wrote

> Bonjour,
>          
>           I use Octave 4.0.0 for my Linux. The Octave 4.4.0 is available
> for
> Windows and the question I have when Octave 4.4.0 is available with a
> Linux?    
>
> Regards,
>
> Leloup
>
>
>
> --
> Sent from:
> http://octave.1599824.n4.nabble.com/Octave-General-f1599825.html

Hi,

It mostly depends on what distribution of linux you use. If your
distribution only provides Octave 4.0 then you have a few solution:
* Install  a more recent linux distro. For example Debian Stretch, Ubuntu
18.04, Mint 19, ... have Octave 4.2 which is much more recent that 4.0
* If your distribution supports Flatpack then use that to install the most
recent released version of Octave (4.4.1) : https://flatpak.org/setup/
* Build from source. See https://wiki.octave.org/Building

Pantxo



--
Sent from: http://octave.1599824.n4.nabble.com/Octave-General-f1599825.html


Reply | Threaded
Open this post in threaded view
|

Re: When Octave 4.4.0 available with a Linux

Mike Miller-4
On Sun, Sep 16, 2018 at 11:27:51 -0500, Pantxo wrote:
> * Install  a more recent linux distro. For example Debian Stretch, Ubuntu
> 18.04, Mint 19, ... have Octave 4.2 which is much more recent that 4.0

Debian 9 (stretch) has Octave 4.4.0 available right now, if you enable
the backports repository. I guess that 4.4.1 will be coming soon.

Ubuntu 18.10, which will be released in about a month, has Octave 4.4.1.

--
mike



signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: When Octave 4.4.0 available with a Linux

tmacchant
In reply to this post by Leloup
----- Original Message -----

> From: Leloup 
> To: [hidden email]
> Cc:
> Date: 2018/9/17, Mon 00:12
> Subject: When Octave 4.4.0 available with a Linux
>
> Bonjour,
>        
>           I use Octave 4.0.0 for my Linux. The Octave 4.4.0 is available for
> Windows and the question I have when Octave 4.4.0 is available with a Linux?   
>
> Regards,
>
> Leloup

You can install the latest octave using flatpak.
See
https://flathub.org/apps/details/org.octave.Octave

https://flatpak.org/setup/


On Ubuntu, you can find nice tutorial.
http://ubuntuhandbook.org/index.php/2018/07/install-latest-gnu-octave-4-4-ubuntu-18-04/



Tatsuro


Reply | Threaded
Open this post in threaded view
|

Re: When Octave 4.4.0 available with a Linux

Leloup
Bonjour Tatsuro,

     Thank you for your answer.
      https://flathub.org/apps/details/org.octave.Octave
<https://flathub.org/apps/details/org.octave.Octave>  
      Downloading looks OK.

    if I do again:  leloup@leloup-VirtualBox ~ $ flatpak install flathub
org.octave.Octave
    org.octave.Octave/x86_64/stable already installed, skipping

   However for flatpak run org.octave.Octave
   That works with some mistakes as you see below:

   leloup@leloup-VirtualBox ~ $ flatpak run org.octave.Octave
*GNU Octave, version 4.4.1*  
Copyright (C) 2018 John W. Eaton and others.
This is free software; see the source code for copying conditions.
There is ABSOLUTELY NO WARRANTY; not even for MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  For details, type 'warranty'.

Octave was configured for "x86_64-pc-linux-gnu".

Additional information about Octave is available at https://www.octave.org.

Please contribute if you find this software useful.
For more information, visit https://www.octave.org/get-involved.html

Read https://www.octave.org/bugs.html to learn how to submit bug reports.
For information about changes from previous versions, type 'news'.

warning: function /home/leloup/Documents/Leloup_Matlab/stat.m shadows a
built-in function
warning: called from
    startup at line 5 column 1
    /app/share/octave/4.4.1/m/startup/octaverc at line 31 column 3
warning: function /home/leloup/Documents/Leloup_Matlab/corrcoef.m shadows a
core library function
warning: called from
    startup at line 5 column 1
    /app/share/octave/4.4.1/m/startup/octaverc at line 31 column 3
error: package signal is not installed
error: called from
    load_packages at line 41 column 7
    pkg at line 457 column 7
    startup at line 10 column 1
    /app/share/octave/4.4.1/m/startup/octaverc at line 31 column 3
octave:1>

    These errors are the legacy of the previous installation. I suppose that
I must update or suppress the packages like Signal and modify Octaverc which
is used to initialize Octave.

Regards,

Leloup




--
Sent from: http://octave.1599824.n4.nabble.com/Octave-General-f1599825.html